<?php
/**
 * Descriptions
 * @author yzxh24
 * @email yzxh24@gmail.com
 * @created 2012-02-02 14:00:06
 */
class BookmanageController extends BackendController
{
    /**
     * action路径前缀
     */
	protected $actionPrefix = 'admin.controllers.BookManage.';

    /**
     * action对应表
     */
    protected $actionMap = array(
        'list' => 'ListAction',
        'create' => 'CreateAction',
        'update' => 'UpdateAction',
        'delete' => 'DeleteAction',
        'view' => 'ViewAction',
    );

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax'] === 'book-manage-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}